<?php


namespace Schaffen\Core\Movement\Repositories;

use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Movement\Models\SalesOrderPaymentFormInstallments;

class SalesOrderPaymentFormInstallmentsRepository extends Repository
{
    protected $model = SalesOrderPaymentFormInstallments::class;

    protected $searchableFields = [
    ];

    public function storeOrUpdate($values, int $id = null, array $relations = [])
    {
        $ret = [];
        foreach ($values['parcelas'] as $value){
            $value['pvfpp_fk_pvfp_codigo'] = $values['pvfpp_fk_pvfp_codigo'];
            try {
                $ret[] = parent::storeOrUpdate($value, $id, $relations);
            }catch (\Exception $e){
                return $e;
            }
        }
        return $ret;
    }

}
