<?php


namespace Schaffen\Core\Visitation\Models;


use Illuminate\Database\Eloquent\Model;

class Visitation extends Model
{
    const CREATED_AT = "vis_date_insert";
    const UPDATED_AT = null;
    protected $connection = "dynamicdb";
    protected $table = "movimentacao.visita";
    protected $primaryKey = "vis_codigo";
    protected $fillable = [
        "vis_observacao",
        "vis_fk_mov_codigo",
        "vis_fk_pes_codigo",
        "vis_fk_pes_codigo_vdr",
        "vis_data_movel",
        "vis_user_insert",
        "vis_distancia",
        "vis_visitavel_tipo",
        "vis_visitavel_codigo"
    ];

    public function visitavel()
    {
        return $this->morphTo("visitavel", "vis_visitavel_tipo", "vis_visitavel_codigo");
    }
}